PartialTree.Node
Keywords: net.corda.core.crypto.PartialMerkleTree.PartialTree.Node class
Date: 2023-09-18

net.corda.core.crypto

## Class PartialTree.Node

- net.corda.core.crypto.PartialMerkleTree.PartialTree.Node

- Enclosing class:
    PartialMerkleTree.PartialTree

      public static class PartialTree.Node

- - ### Constructor Detail

    - #### Node

          public Node(@NotNull
                      net.corda.core.crypto.PartialMerkleTree.PartialTree left,
                      @NotNull
                      net.corda.core.crypto.PartialMerkleTree.PartialTree right,
                      @Nullable
                      java.lang.String hashAlgorithm)

    - #### Node

          public Node(@NotNull
                      net.corda.core.crypto.PartialMerkleTree.PartialTree left,
                      @NotNull
                      net.corda.core.crypto.PartialMerkleTree.PartialTree right)

      Old version of `class PartialTree.Node` constructor for ABI compatibility.

      See Also:
        `class PartialTree.Node`

  - ### Method Detail

    - #### copy

          @NotNull
          public net.corda.core.crypto.PartialMerkleTree.PartialTree.Node copy(@NotNull
                                                                                        net.corda.core.crypto.PartialMerkleTree.PartialTree left,
                                                                                        @NotNull
                                                                                        net.corda.core.crypto.PartialMerkleTree.PartialTree right)

      Old version of `PartialTree.Node.copy` for ABI compatibility.

      See Also:
        `PartialTree.Node.copy`

    - #### getLeft

          @NotNull
          public net.corda.core.crypto.PartialMerkleTree.PartialTree getLeft()

    - #### getRight

          @NotNull
          public net.corda.core.crypto.PartialMerkleTree.PartialTree getRight()

    - #### getHashAlgorithm

          @Nullable
          public java.lang.String getHashAlgorithm()

    - #### component1

          @NotNull
          public net.corda.core.crypto.PartialMerkleTree.PartialTree component1()

    - #### component2

          @NotNull
          public net.corda.core.crypto.PartialMerkleTree.PartialTree component2()

    - #### component3

          @Nullable
          public java.lang.String component3()

    - #### copy

          @NotNull
          public net.corda.core.crypto.PartialMerkleTree.PartialTree.Node copy(@NotNull
                                                                                        net.corda.core.crypto.PartialMerkleTree.PartialTree left,
                                                                                        @NotNull
                                                                                        net.corda.core.crypto.PartialMerkleTree.PartialTree right,
                                                                                        @Nullable
                                                                                        java.lang.String hashAlgorithm)

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)